[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

autogen.sh patch

From: Daniel Stenberg <daniel_at_haxx.se>
Date: 2000-09-27 13:35:52 CEST

On my solaris 2.6-box, the sh does not like the line:

if ! cmp configure configure.$$.tmp > /dev/null 2>&1; then

It does work better with the applied patch however. And I don't believe it
introduces any side-effects...

diff -u -r1.18 autogen.sh
--- autogen.sh 2000/09/26 17:34:51 1.18
+++ autogen.sh 2000/09/27 11:30:49
@@ -67,7 +67,8 @@
 fi
 
 # Toss config.cache if configure itself has changed.
-if ! cmp configure configure.$$.tmp > /dev/null 2>&1; then
+cmp configure configure.$$.tmp > /dev/null 2>&1
+if [ $? = 1 ]; then
    echo "Tossing config.cache, since configure has changed."
    rm -f config.cache
 fi

-- 
      Daniel Stenberg - http://daniel.haxx.se - +46-705-44 31 77
   ech`echo xiun|tr nu oc|sed 'sx\([sx]\)\([xoi]\)xo un\2\1 is xg'`ol
Received on Sat Oct 21 14:36:09 2006

This is an archived mail posted to the Subversion Dev mailing list.

This site is subject to the Apache Privacy Policy and the Apache Public Forum Archive Policy.